@ECHO OFF
CLS
IF NOT EXIST DADTON.EXE GOTO ERROR4

DADTON SETUP
IF ERRORLEVEL 3 GOTO FIN
IF ERRORLEVEL 2 GOTO OPCION2
IF ERRORLEVEL 1 GOTO OPCION1
GOTO :FIN

:OPCION1
IF NOT EXIST SBFMDRV.COM GOTO ERROR1
IF NOT EXIST CT-VOICE.DRV GOTO ERROR3
SBFMDRV /U >NUL
COCTEL
DADTON
CLS
GOTO :FIN

:OPCION2
IF NOT EXIST SBFMDRV.COM GOTO ERROR1
IF NOT EXIST CT-VOICE.DRV GOTO ERROR3
SBFMDRV >NUL
COCTEL
DADTON
SBFMDRV /U >NUL
CLS
GOTO :FIN

:ERROR1
ECHO   No encuentro el archivo SBFMDRV.COM
ECHO.
GOTO :FIN

:ERROR2
echo   Archivo de datos EDGAME.DAT no encontrado
echo.
goto FIN

:ERROR3
ECHO   No encuentro el archivo CT-VOICE.DRV
ECHO.
goto FIN

:ERROR4
ECHO   No encuentro el archivo DADTON.EXE
ECHO.
goto FIN

:FIN
